install_int(3)

NAME
install_int - Installs a user timer handler. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int install_int(void (*proc)(), int speed);

DESCRIPTION
Installs a user timer handler, with the speed given as the number of milliseconds between ticks. This is the same thing as install_int_ex(proc, MSEC_TO_TIMER(speed)). If you call this routine without having first installed the timer module, install_timer() will be called automatically. Calling again this routine with the same timer handler as parameter allows you to adjust its speed.

RETURN VALUE
Returns zero on success, or a negative number if there is no room to add a new user timer.

SEE ALSO
install_timer(3), remove_int(3), install_int_ex(3), install_param_int(3), exscn3d(3), exswitch(3), extimer(3), exzbuf(3)